- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Create a temporary directory during the prepare step. Remove it during
    the finish step and check that it's gone.
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/finish/basic
  order: 50
  path: /default-0/tests/tests/finish/basic
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 1
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/finish/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/finish/basic/main.fmf
  summary: Basic check for the finishing tasks
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: &id001 []
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 20m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/provision/beaker/dry
  order: 50
  path: /default-0/tests/tests/provision/beaker
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 2
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/beaker/main.fmf
  summary: Verify default beaker configs using dry option
  tag: []
  test: ./dry.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Verify translate hardware constraints using custom config works well,
    and override the default translations.
  discover-phase: default-0
  duration: 20m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/provision/beaker/hardware
  order: 50
  path: /default-0/tests/tests/provision/beaker
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 3
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/beaker/main.fmf
  summary: Translate hardware by config tests
  tag: []
  test: ./hardware.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: Verify that the beaker plugin schema contains the appropriate keys.
  discover-phase: default-0
  duration: 20m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/provision/beaker/schema
  order: 50
  path: /default-0/tests/tests/provision/beaker
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 4
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/beaker/main.fmf
  summary: Verify beaker provision schema
  tag: []
  test: ./schema.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 20m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/provision/facts/guest
  order: 50
  path: /default-0/tests/tests/provision/facts
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 5
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/facts/main.fmf
  summary: Check that guest facts are discovered and reported correctly
  tag:
  - provision-container
  test: ./test-guest.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 20m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/provision/facts/runner
  order: 50
  path: /default-0/tests/tests/provision/facts
  recommend: []
  require:
  - tmt
  - tmt+provision-container
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 6
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/provision/facts/main.fmf
  summary: Check that host facts are discovered and reported correctly
  tag: []
  test: ./test-runner.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/report/display
  order: 50
  path: /default-0/tests/tests/report/display
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 7
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/display/main.fmf
  summary: Check for display output
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/report/html
  order: 50
  path: /default-0/tests/tests/report/html
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 8
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/html/main.fmf
  summary: Check for HTML output
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/report/junit/basic
  order: 50
  path: /default-0/tests/tests/report/junit/basic
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 9
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/junit/basic/main.fmf
  summary: Check for JUnit output
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/report/summary
  order: 50
  path: /default-0/tests/tests/report/summary
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 10
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/report/summary/main.fmf
  summary: Check for correct report summary
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
- author: []
  check:
  - delay-before-report: 5
    enabled: true
    how: avc
    ignore-pattern:
    - type=USER_AVC.*received policyload notice
    result: respect
    test-method: timestamp
  component: []
  contact:
  - Petr Šplíchal <psplicha@redhat.com>
  description: null
  discover-phase: default-0
  duration: 10m
  enabled: true
  environment:
    TMT_FEELING_SAFE: '1'
  framework: beakerlib
  id: null
  link: []
  manual: false
  name: /tests/run/again/failed-only
  order: 50
  path: /default-0/tests/tests/run/again/failed-only
  recommend: []
  require:
  - tmt
  restart-max-count: 1
  restart-on-exit-code: []
  restart-with-reboot: false
  result: respect
  serial-number: 11
  sources:
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/main.fmf
  - /var/ARTIFACTS/work-the-restsc6maw3v/plans/features/steps/the-rest/discover/default-0/tests/tests/run/again/failed-only/main.fmf
  summary: Check rerun is working correctly
  tag: []
  test: ./test.sh
  tier: '3'
  tty: false
  where: *id001
